Subject: [PATCH 1/2] arm: hwcap: add new hwcap for identifying PXN bits

From: [email-masked] (Catalin Marinas)
Date: Fri, 24 Oct 2014 11:11:42 +0100

On Fri, Oct 24, 2014 at 10:57:34AM +0100, Jungseung Lee wrote:
> Modern ARMv7-A/R cores can optionally implement below new
> hardware feature:
> 
> - PXN:
> Privileged execute-never(PXN) is a security feature. PXN bit
> determines whether the processor can execute software from
> the region. This is effective solution against ret2usr attack.
> 
> This patch adds new HWCAP defines to describe new feature.
> On an implementation that does not include the LPAE, PXN is
> optionally supported.

Why does the user need to know about such feature? Just enable it in the
kernel if available.

-- 
Catalin